Submit a replacement identity document for a user whose current document is expiring, without waiting for it to be rejected. Only accepted once the document has entered its expiry window — document stage about-to-expire, in-grace-period or out-of-grace (reported as expired on the user.kyc.expiry webhook). Identity moves to processing and the verification result is delivered asynchronously on the user.kyc.updated webhook. Identity renewals only; address renewal is not supported.
Identity renewal details. All fields are required. The replacement idDetails.expirationDate must be in the future and must differ from the expiration date on the current document.
Show child attributes
Response
KYC renewal accepted
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Cadana Developers","colors":{"primary":"#FF5C21","light":"#FFD4C4","dark":"#943110"},"logo":{"light":"https://mintcdn.com/cadanainc/8_xouL-QgxN_iY80/logo/light.svg?fit=max\u0026auto=format\u0026n=8_xouL-QgxN_iY80\u0026q=85\u0026s=b8565df0d54458c28af04c610c888363","dark":"https://mintcdn.com/cadanainc/8_xouL-QgxN_iY80/logo/dark.svg?fit=max\u0026auto=format\u0026n=8_xouL-QgxN_iY80\u0026q=85\u0026s=fced023cb5f7a1ef1fe58f24aa77c5e2"},"favicon":"https://mintcdn.com/cadanainc/u1b9MWhi7U7FZQhA/favicon.png?fit=max\u0026auto=format\u0026n=u1b9MWhi7U7FZQhA\u0026q=85\u0026s=f0ef4be6990d7ae07d33e9f68b1ef4b8","api":{"playground":{"display":"interactive"},"examples":{"prefill":true}},"navbar":{"links":[{"href":"mailto:support@cadanapay.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://app.cadanapay.com"}},"contextual":{"options":["copy","view","chatgpt","claude","cursor","vscode"],"display":"header"},"styling":{"latex":true},"navigation":{"languages":[{"language":"en","href":"introduction"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"cadanainc","hasAudioNarration":false,"actualSubdomain":"cadanainc","customDomains":["docs.cadanapay.com"],"gitSource":{"type":"github","owner":"cadanapay","repo":"developer-docs","deployBranch":"master","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae9f5ce599afdae0f2a1427","collectionId":"e94f3613-5815-4452-9166-e1a2e0f9b5fc","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae9f5ce599afdae0f2a1427"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae9f5ce599afdae0f2a1427","clientVersion":"0.0.4067","searchFilterCounts":[{"language":"en","tag":"API Reference","count":164},{"language":"en","tag":"Workforce API","count":99},{"language":"en","tag":"Documentation","count":59},{"language":"en","tag":"Statutory Compliance API","count":23},{"language":"en","tag":"Payroll \u0026 Compliance","count":20},{"language":"en","tag":"Payments API","count":20},{"language":"en","tag":"Persons","count":14},{"language":"en","tag":"Users","count":14},{"language":"en","tag":"Workforce Management","count":12},{"language":"en","tag":"Treasury","count":11}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/workforce/users/renew-kyc","slug":"/api-reference/workforce/users/renew-kyc","pageMetadata":{"title":"Renew KYC","description":"Submit a replacement identity document for a user whose current document is expiring, without waiting for it to be rejected. Only accepted once the document has entered its expiry window — document stage `about-to-expire`, `in-grace-period` or `out-of-grace` (reported as `expired` on the `user.kyc.expiry` webhook). Identity moves to `processing` and the verification result is delivered asynchronously on the `user.kyc.updated` webhook. Identity renewals only; address renewal is not supported.","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/users/{userId}/kyc/renewal","href":"/api-reference/workforce/users/renew-kyc","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Submit a replacement identity document for a user whose current document is expiring, without waiting for it to be rejected. Only accepted once the document has entered its expiry window — document stage \", _jsx(_components.code, {\n children: \"about-to-expire\"\n }), \", \", _jsx(_components.code, {\n children: \"in-grace-period\"\n }), \" or \", _jsx(_components.code, {\n children: \"out-of-grace\"\n }), \" (reported as \", _jsx(_components.code, {\n children: \"expired\"\n }), \" on the \", _jsx(_components.code, {\n children: \"user.kyc.expiry\"\n }), \" webhook). Identity moves to \", _jsx(_components.code, {\n children: \"processing\"\n }), \" and the verification result is delivered asynchronously on the \", _jsx(_components.code, {\n children: \"user.kyc.updated\"\n }), \" webhook. Identity renewals only; address renewal is not supported.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Renew KYC","description":"Submit a replacement identity document for a user whose current document is expiring, without waiting for it to be rejected. Only accepted once the document has entered its expiry window — document stage `about-to-expire`, `in-grace-period` or `out-of-grace` (reported as `expired` on the `user.kyc.expiry` webhook). Identity moves to `processing` and the verification result is delivered asynchronously on the `user.kyc.updated` webhook. Identity renewals only; address renewal is not supported.","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/users/{userId}/kyc/renewal","href":"/api-reference/workforce/users/renew-kyc","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Renew KYC","description":"Submit a replacement identity document for a user whose current document is expiring, without waiting for it to be rejected. Only accepted once the document has entered its expiry window — document stage `about-to-expire`, `in-grace-period` or `out-of-grace` (reported as `expired` on the `user.kyc.expiry` webhook). Identity moves to `processing` and the verification result is delivered asynchronously on the `user.kyc.updated` webhook. Identity renewals only; address renewal is not supported.","operationId":"renewUserKYC","tags":["Users"],"parameters":["1e61612f-e9f1-43da-9e8f-d7d7fc03dca3","288656d1-61c1-407f-ba15-f845b6d07862"],"requestBody":"6d785d9c-044f-48e4-a90a-62d87b2b1052","responses":{"204":"af1a50b7-1654-4aa2-99d2-b0231c9195d5","400":"78b1041d-c742-4f02-9ece-313826658e4b","404":"d6f9cbe7-e173-4a7a-ab4a-7a29c07b4bea","5XX":"fa9dd14e-ee84-49d8-ac37-7027391bb011"},"security":["3393419f-21f2-4f41-9cf0-b4c4eeca7e34"],"method":"post","type":"path","servers":["242f2224-a298-4f98-9c1a-57aba36d36d7","e0d12caa-3acc-4ed0-b788-cee5509ec4e3"],"path":"/v1/users/{userId}/kyc/renewal","baseUrlOptions":["https://api.cadanapay.com","https://dev-api.cadanapay.com"],"title":"Renew KYC","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[{"body.type":"identity","body.identity.firstName":"John","body.identity.lastName":"Doe","body.identity.dob":"1990-01-15","body.identity.nationality":"US","body.identity.idDetails.number":"987654321","body.identity.idDetails.type":"passport","body.identity.idDetails.issuedBy":"Department of State","body.identity.idDetails.issuedDate":"2026-02-01","body.identity.idDetails.expirationDate":"2036-02-01","body.identity.idDetails.issuedCountryCode":"US","body.identity.idDetails.frontFileId":"1d3f870c-bc91-4636-a0d4-8e54bccf7d64","body.identity.idDetails.selfieFileId":"3f5b092e-de13-4858-a40e-4c76ee9f8e86","body.identity.idDetails.backFileId":"2e4a981d-cd02-4747-b29d-3f65dd8e7d75"}]},"dependencies":{"parameters":{"1e61612f-e9f1-43da-9e8f-d7d7fc03dca3":{"name":"userId","in":"path","description":"The unique identifier for the user","required":true,"schema":{"type":"string","format":"uuid","isRequired":true,"description":"The unique identifier for the user","uniqueKey":"","typeLabel":"string\u003cuuid>"}},"288656d1-61c1-407f-ba15-f845b6d07862":{"name":"X-MultiTenantKey","in":"header","required":false,"schema":{"type":"string","isRequired":false,"description":"Required when using a Platform API token. The tenant key identifying which business to operate on.","uniqueKey":"","typeLabel":"string"},"description":"Required when using a Platform API token. The tenant key identifying which business to operate on."}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","description":"Request to renew an expiring KYC identity document. Identity renewals only — address renewal is not supported, and type must be identity.","required":["type","identity"],"properties":{"type":{"type":"string","description":"Which section is being renewed. Must be identity.","example":"identity","enum":["identity"],"isRequired":true,"uniqueKey":"type","typeLabel":"enum\u003cstring>"},"identity":{"type":"object","description":"Identity renewal details. All fields are required. The replacement idDetails.expirationDate must be in the future and must differ from the expiration date on the current document.","required":["firstName","lastName","dob","nationality","idDetails"],"properties":{"firstName":{"type":"string","description":"User's first name","example":"John","isRequired":true,"uniqueKey":"identity.firstName","typeLabel":"string"},"lastName":{"type":"string","description":"User's last name","example":"Doe","isRequired":true,"uniqueKey":"identity.lastName","typeLabel":"string"},"dob":{"type":"string","format":"date","description":"Date of birth in YYYY-MM-DD format","example":"1990-01-15","isRequired":true,"uniqueKey":"identity.dob","typeLabel":"string\u003cdate>"},"nationality":{"type":"string","description":"User's nationality (2-letter country code)","example":"US","isRequired":true,"uniqueKey":"identity.nationality","typeLabel":"string"},"idDetails":{"type":"object","required":["number","type","issuedBy","issuedDate","expirationDate","issuedCountryCode","frontFileId","selfieFileId"],"properties":{"number":{"type":"string","example":"A12345678","description":"Identification document number","isRequired":true,"uniqueKey":"identity.idDetails.number","typeLabel":"string"},"type":{"type":"string","description":"id type","example":"passport","enum":["passport","driver_license","national_id","voter_id_card","id_card","pan_card"],"isRequired":true,"uniqueKey":"identity.idDetails.type","typeLabel":"enum\u003cstring>"},"issuedBy":{"type":"string","example":"Nigeria Immigration Service","description":"Authority that issued the document","isRequired":true,"uniqueKey":"identity.idDetails.issuedBy","typeLabel":"string"},"issuedDate":{"type":"string","format":"date","example":"2020-01-15","description":"Date when the document was issued","isRequired":true,"uniqueKey":"identity.idDetails.issuedDate","typeLabel":"string\u003cdate>"},"expirationDate":{"type":"string","format":"date","example":"2030-01-15","description":"Date when the document expires","isRequired":true,"uniqueKey":"identity.idDetails.expirationDate","typeLabel":"string\u003cdate>"},"issuedCountryCode":{"type":"string","example":"NG","description":"Country code of the issuing authority","isRequired":true,"uniqueKey":"identity.idDetails.issuedCountryCode","typeLabel":"string"},"frontFileId":{"type":"string","format":"uuid","example":"8ef9a712-cdae-4110-b1ea-9ba95abbee6e","description":"File ID of the front side of the identification document. In sandbox, can be omitted when a sentinel value is used","isRequired":true,"uniqueKey":"identity.idDetails.frontFileId","typeLabel":"string\u003cuuid>"},"selfieFileId":{"type":"string","format":"uuid","example":"8ef9a712-cdae-4110-b1ea-9ba95abbee6e","description":"File ID of the selfie with the identification document. In sandbox, can be omitted when a sentinel value is used","isRequired":true,"uniqueKey":"identity.idDetails.selfieFileId","typeLabel":"string\u003cuuid>"},"backFileId":{"type":"string","format":"uuid","example":"8ef9a712-cdae-4110-b1ea-9ba95abbee6e","description":"File ID of the back side of the identification document","uniqueKey":"identity.idDetails.backFileId","typeLabel":"string\u003cuuid>"}},"isRequired":true,"uniqueKey":"identity.idDetails","typeLabel":"object"}},"isRequired":true,"uniqueKey":"identity","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"identityRenewal":{"title":"identityRenewal","value":{"type":"identity","identity":{"firstName":"John","lastName":"Doe","dob":"1990-01-15","nationality":"US","idDetails":{"type":"passport","number":"987654321","issuedCountryCode":"US","issuedBy":"Department of State","issuedDate":"2026-02-01","expirationDate":"2036-02-01","frontFileId":"1d3f870c-bc91-4636-a0d4-8e54bccf7d64","backFileId":"2e4a981d-cd02-4747-b29d-3f65dd8e7d75","selfieFileId":"3f5b092e-de13-4858-a40e-4c76ee9f8e86"}}}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"af1a50b7-1654-4aa2-99d2-b0231c9195d5":{"description":"KYC renewal accepted","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"78b1041d-c742-4f02-9ece-313826658e4b":{"description":"Bad input provided by client","content":{"application/json":{"schema":{"type":"object","description":"Bad input provided by client","example":{"code":"invalid_request_body","message":"The request body provided is not valid","params":{"field":"Value is invalid."}},"properties":{"code":{"description":"A machine parsable error code","type":"string","enum":["invalid_request_body","resource_not_found","forbidden","internal_error"],"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"description":"A human readable message describing the error","type":"string","uniqueKey":"message","typeLabel":"string"},"params":{"description":"A map for meta data around the error that occurred","type":"object","uniqueKey":"params","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"invalid_request_body","message":"The request body provided is not valid","params":{"field":"Value is invalid."}}}},"exampleType":"generated"}},"exampleType":"generated"},"d6f9cbe7-e173-4a7a-ab4a-7a29c07b4bea":{"description":"Requested resource was not found","content":{"application/json":{"schema":{"type":"object","description":"Not Found","example":{"code":"resource_not_found","message":"Requested resource could not be found."},"properties":{"code":{"description":"A machine parsable error code","type":"string","enum":["invalid_request_body","resource_not_found","forbidden","internal_error"],"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"description":"A human readable message describing the error","type":"string","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"resource_not_found","message":"Requested resource could not be found."}}},"exampleType":"generated"}},"exampleType":"generated"},"fa9dd14e-ee84-49d8-ac37-7027391bb011":{"description":"Internal error","content":{"application/json":{"schema":{"type":"object","description":"Internal server error","example":{"code":"internal_error","message":"An unexpected error occurred. Please try again later."},"properties":{"code":{"description":"A machine parsable error code","type":"string","enum":["invalid_request_body","resource_not_found","forbidden","internal_error"],"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"description":"A human readable message describing the error","type":"string","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"internal_error","message":"An unexpected error occurred. Please try again later."}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"3393419f-21f2-4f41-9cf0-b4c4eeca7e34":{"Authorization":{"type":"http","scheme":"bearer","bearerFormat":"API_SECRET_KEY","scopes":[],"schemeName":"Authorization"}}},"servers":{"242f2224-a298-4f98-9c1a-57aba36d36d7":{"url":"https://api.cadanapay.com","description":"Prod Server"},"e0d12caa-3acc-4ed0-b788-cee5509ec4e3":{"url":"https://dev-api.cadanapay.com","description":"Dev Server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"API_SECRET_KEY","scopes":[],"schemeName":"Authorization"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"Authorization","name":"Authorization"}],"title":"Authorization"}]},"originalFileLocation":"openapi/workforce-management.yaml"},"subdomain":"cadanainc","siteName":"Cadana Developers","title":"Renew KYC - Cadana Developers","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/api-reference/workforce/users/renew-kyc","matchLevel":0}}},"lastModified":"2026-11-03T14:55:26.029Z","originalFileLocation":"api-reference/workforce/users/renew-kyc.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Submit a replacement identity document for a user whose current document is expiring, without waiting for it to be rejected. Only accepted once the document has entered its expiry window — document stage about-to-expire, in-grace-period or out-of-grace (reported as expired on the user.kyc.expiry webhook). Identity moves to processing and the verification result is delivered asynchronously on the user.kyc.updated webhook. Identity renewals only; address renewal is not supported.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Cadana Developers\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Renew KYC - Cadana Developers\">\u003cmeta data-mint-head property=\"og:description\" content=\"Submit a replacement identity document for a user whose current document is expiring, without waiting for it to be rejected. Only accepted once the document has entered its expiry window — document stage about-to-expire, in-grace-period or out-of-grace (reported as expired on the user.kyc.expiry webhook). Identity moves to processing and the verification result is delivered asynchronously on the user.kyc.updated webhook. Identity renewals only; address renewal is not supported.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Cadana Developers\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.cadanapay.com/api-reference/workforce/users/renew-kyc\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://cadanainc.mintlify.app/_mintlify/api/og/v2?division=Users\u0026amp;title=Renew+KYC\u0026amp;description=Submit+a+replacement+identity+document+for+a+user+whose+current+document+is+expiring%2C+without+waiting+for+it+to+be+rejected.+Only+accepted+once+the+document+has\u0026amp;theme=86a2734624b1f53a8b1e0c90\u0026amp;signature=d919449d21ecc2560faeb61983c538750a94b9e069a351802b5007ad773772d0\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Renew KYC - Cadana Developers\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Submit a replacement identity document for a user whose current document is expiring, without waiting for it to be rejected. Only accepted once the document has entered its expiry window — document stage about-to-expire, in-grace-period or out-of-grace (reported as expired on the user.kyc.expiry webhook). Identity moves to processing and the verification result is delivered asynchronously on the user.kyc.updated webhook. Identity renewals only; address renewal is not supported.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://cadanainc.mintlify.app/_mintlify/api/og/v2?division=Users\u0026amp;title=Renew+KYC\u0026amp;description=Submit+a+replacement+identity+document+for+a+user+whose+current+document+is+expiring%2C+without+waiting+for+it+to+be+rejected.+Only+accepted+once+the+document+has\u0026amp;theme=86a2734624b1f53a8b1e0c90\u0026amp;signature=d919449d21ecc2560faeb61983c538750a94b9e069a351802b5007ad773772d0\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/cadanainc/YD7rqYnhKAHDoE9u/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Cadana Developers\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FF5C21\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.cadanapay.com/api-reference/workforce/users/renew-kyc\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/workforce/users/renew-kyc.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.cadanapay.com/#organization\",\"name\":\"Cadana Developers\",\"url\":\"https://docs.cadanapay.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/cadanainc/8_xouL-QgxN_iY80/logo/light.svg?fit=max\u0026auto=format\u0026n=8_xouL-QgxN_iY80\u0026q=85\u0026s=b8565df0d54458c28af04c610c888363\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.cadanapay.com#website\",\"name\":\"Cadana Developers\",\"url\":\"https://docs.cadanapay.com\",\"publisher\":{\"@id\":\"https://docs.cadanapay.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.cadanapay.com/api-reference/workforce/users/renew-kyc#webpage\",\"url\":\"https://docs.cadanapay.com/api-reference/workforce/users/renew-kyc\",\"name\":\"Renew KYC\",\"description\":\"Submit a replacement identity document for a user whose current document is expiring, without waiting for it to be rejected. Only accepted once the document has entered its expiry window — document stage about-to-expire, in-grace-period or out-of-grace (reported as expired on the user.kyc.expiry webhook). Identity moves to processing and the verification result is delivered asynchronously on the user.kyc.updated webhook. Identity renewals only; address renewal is not supported.\",\"dateModified\":\"2026-11-03T14:55:26.029Z\",\"isPartOf\":{\"@id\":\"https://docs.cadanapay.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.cadanapay.com/api-reference/workforce/users/renew-kyc#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.cadanapay.com/api-reference/workforce/users/renew-kyc#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Workforce API\",\"item\":\"https://docs.cadanapay.com/api-reference/workforce/persons/get\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Users\",\"item\":\"https://docs.cadanapay.com/api-reference/workforce/users/attach-a-custom-sub\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Renew KYC\",\"item\":\"https://docs.cadanapay.com/api-reference/workforce/users/renew-kyc\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.cadanapay.com/api-reference/workforce/users/renew-kyc#apireference\",\"headline\":\"Renew KYC\",\"name\":\"Renew KYC\",\"description\":\"Submit a replacement identity document for a user whose current document is expiring, without waiting for it to be rejected. Only accepted once the document has entered its expiry window — document stage about-to-expire, in-grace-period or out-of-grace (reported as expired on the user.kyc.expiry webhook). Identity moves to processing and the verification result is delivered asynchronously on the user.kyc.updated webhook. Identity renewals only; address renewal is not supported.\",\"url\":\"https://docs.cadanapay.com/api-reference/workforce/users/renew-kyc\",\"mainEntityOfPage\":{\"@id\":\"https://docs.cadanapay.com/api-reference/workforce/users/renew-kyc#webpage\"},\"dateModified\":\"2026-11-03T14:55:26.029Z\",\"publisher\":{\"@id\":\"https://docs.cadanapay.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.cadanapay.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Cadana Developers\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Cadana Developers","nav":{"global":null,"languages":[{"language":"en","tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"Overview","pages":[{"title":"API Overview","href":"/reference/api-overview"},{"title":"Sandbox \u0026 Testing","href":"/reference/sandbox"},{"title":"Pagination","href":"/reference/pagination"},{"title":"Working with Files","href":"/reference/working-with-files"},{"title":"Webhooks","href":"/reference/webhooks"},{"title":"Events","href":"/reference/events"}]},{"group":"Payments API","pages":[{"group":"Beneficiaries","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/beneficiaries","href":"/api-reference/payments/beneficiaries/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml post /v1/beneficiaries","href":"/api-reference/payments/beneficiaries/create"},{"title":"Get","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/beneficiaries/{beneficiaryId}","href":"/api-reference/payments/beneficiaries/get"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml delete /v1/beneficiaries/{beneficiaryId}","href":"/api-reference/payments/beneficiaries/delete"},{"title":"Create upload URL","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml post /v1/files/upload-url","href":"/api-reference/payments/beneficiaries/create-upload-url"},{"title":"Get file details","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/files/{fileId}","href":"/api-reference/payments/beneficiaries/get-file-details"}]},{"group":"Payouts","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/payouts","href":"/api-reference/payments/payouts/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml post /v1/payouts","href":"/api-reference/payments/payouts/create"},{"title":"Get","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/payouts/{payoutId}","href":"/api-reference/payments/payouts/get"}]},{"group":"Balances","pages":[{"title":"Get account balances","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/businesses/{businessId}/balances","href":"/api-reference/payments/balances/get-account-balances"},{"title":"Get funding details","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/businesses/{businessId}/funding-details","href":"/api-reference/payments/balances/get-funding-details"},{"title":"Create crypto deposit address","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml post /v1/businesses/{businessId}/crypto-deposit-addresses","href":"/api-reference/payments/balances/create-crypto-deposit-address"}]},{"group":"Resources","pages":[{"title":"Payment corridor requirements","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/payment-requirements","href":"/api-reference/payments/resources/payment-corridor-requirements"},{"title":"Get payout providers","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/providers","href":"/api-reference/payments/resources/get-payout-providers"},{"title":"Resolve bank provider","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/providers/resolve","href":"/api-reference/payments/resources/resolve-bank-provider"},{"title":"Get payment methods","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/payment-methods","href":"/api-reference/payments/resources/get-payment-methods"}]},{"group":"FX","pages":[{"title":"Create FX Quote","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml post /v1/fx-quotes","href":"/api-reference/payments/fx/create-fx-quote"}]},{"group":"Virtual Accounts","pages":[{"title":"Get Virtual Accounts","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml get /v1/users/{userId}/virtual-accounts","href":"/api-reference/payments/virtual-accounts/get-virtual-accounts"},{"title":"Create Virtual Account","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml post /v1/users/{userId}/virtual-accounts","href":"/api-reference/payments/virtual-accounts/create-virtual-account"},{"title":"Simulate virtual account deposit","deprecated":null,"version":null,"openapi":"/openapi/embedded-payments.yaml post /v1/sandbox/users/{userId}/virtual-accounts/{virtualAccountId}/deposit","href":"/api-reference/payments/virtual-accounts/simulate-virtual-account-deposit"}]}]},{"group":"Wallets API","pages":[{"group":"Beneficiaries","pages":[{"title":"List beneficiaries","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml get /v1/users/{userId}/beneficiaries","href":"/api-reference/wallets/beneficiaries/list-beneficiaries"},{"title":"Create beneficiary","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml post /v1/users/{userId}/beneficiaries","href":"/api-reference/wallets/beneficiaries/create-beneficiary"},{"title":"Get beneficiary","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml get /v1/users/{userId}/beneficiaries/{beneficiaryId}","href":"/api-reference/wallets/beneficiaries/get-beneficiary"},{"title":"Delete beneficiary","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml delete /v1/users/{userId}/beneficiaries/{beneficiaryId}","href":"/api-reference/wallets/beneficiaries/delete-beneficiary"}]},{"group":"Transactions","pages":[{"title":"List transactions","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml get /v1/users/{userId}/transactions","href":"/api-reference/wallets/transactions/list-transactions"},{"title":"Create transaction","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml post /v1/users/{userId}/transactions","href":"/api-reference/wallets/transactions/create-transaction"},{"title":"Get transaction","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml get /v1/users/{userId}/transactions/{transactionId}","href":"/api-reference/wallets/transactions/get-transaction"},{"title":"Get user fees","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml get /v1/users/{userId}/fees","href":"/api-reference/wallets/transactions/get-user-fees"}]},{"group":"Balances","pages":[{"title":"Get user wallets balances","deprecated":null,"version":null,"openapi":"/openapi/embedded-consumer-wallets.yaml get /v1/users/{userId}/wallets","href":"/api-reference/wallets/balances/get-user-wallets-balances"}]}]},{"group":"Workforce API","pages":[{"group":"Persons","pages":[{"title":"Get","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/persons/{personId}","href":"/api-reference/workforce/persons/get"},{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/persons","href":"/api-reference/workforce/persons/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/persons","href":"/api-reference/workforce/persons/create"},{"title":"Update basic information","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/persons/{personId}/basicInfo","href":"/api-reference/workforce/persons/update-basic-information"},{"title":"Update personal information","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/persons/{personId}/personalInfo","href":"/api-reference/workforce/persons/update-personal-information"},{"title":"Get tax profile","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/persons/{personId}/taxProfile","href":"/api-reference/workforce/persons/get-tax-profile"},{"title":"Update tax profile","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/persons/{personId}/taxProfile","href":"/api-reference/workforce/persons/update-tax-profile"},{"title":"Update job information","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/persons/{personId}/jobInfo","href":"/api-reference/workforce/persons/update-job-information"},{"title":"Get payment information","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/persons/{personId}/paymentInfo","href":"/api-reference/workforce/persons/get-payment-information"},{"title":"Update payment information","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/persons/{personId}/paymentInfo","href":"/api-reference/workforce/persons/update-payment-information"},{"title":"Schedule offboarding","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/persons/{personId}/offboard","href":"/api-reference/workforce/persons/schedule-offboarding"},{"title":"Cancel offboarding","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/persons/{personId}/cancelOffboarding","href":"/api-reference/workforce/persons/cancel-offboarding"},{"title":"Reinstate","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/persons/{personId}/reinstate","href":"/api-reference/workforce/persons/reinstate"},{"title":"Update person type","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/persons/{personId}/type","href":"/api-reference/workforce/persons/update-person-type"}]},{"group":"Instant Pay","pages":[{"title":"Get instant pay setting","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/persons/{personId}/ipSetting","href":"/api-reference/workforce/instant-pay/get-instant-pay-setting"},{"title":"Update instant pay setting","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/persons/{personId}/ipSetting","href":"/api-reference/workforce/instant-pay/update-instant-pay-setting"},{"title":"Get instant pay transactions","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/persons/{personId}/instantPays","href":"/api-reference/workforce/instant-pay/get-instant-pay-transactions"}]},{"group":"Milestones","pages":[{"title":"List milestones","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/persons/{personId}/milestones","href":"/api-reference/workforce/milestones/list-milestones"},{"title":"Add milestone","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/persons/{personId}/milestones","href":"/api-reference/workforce/milestones/add-milestone"},{"title":"Update milestone","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/persons/{personId}/milestones/{milestoneId}","href":"/api-reference/workforce/milestones/update-milestone"},{"title":"Delete milestone","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml delete /v1/persons/{personId}/milestones/{milestoneId}","href":"/api-reference/workforce/milestones/delete-milestone"},{"title":"Complete milestone","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/persons/{personId}/milestones/{milestoneId}/complete","href":"/api-reference/workforce/milestones/complete-milestone"}]},{"group":"Custom Auth","pages":[{"title":"JWT","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/auth/login/jwt","href":"/api-reference/workforce/custom-auth/jwt"}]},{"group":"Users","pages":[{"title":"Attach a custom sub","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/users/{userId}/sub","href":"/api-reference/workforce/users/attach-a-custom-sub"},{"title":"Add Admin","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/users/admins","href":"/api-reference/workforce/users/add-admin"},{"title":"Remove Admin","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml delete /v1/users/admins/{userId}","href":"/api-reference/workforce/users/remove-admin"},{"title":"Invite","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/users/invite","href":"/api-reference/workforce/users/invite"},{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/users","href":"/api-reference/workforce/users/list"},{"title":"Get","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/users/{userId}","href":"/api-reference/workforce/users/get"},{"title":"Get KYC","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/users/{userId}/kyc","href":"/api-reference/workforce/users/get-kyc"},{"title":"Submit KYC","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/users/{userId}/kyc","href":"/api-reference/workforce/users/submit-kyc"},{"title":"Resubmit KYC","description":"Resubmit KYC identity and/or address information after rejection. Identity can only be resubmitted when status is rejected. Address can only be resubmitted when status is not started or rejected.","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml patch /v1/users/{userId}/kyc","href":"/api-reference/workforce/users/resubmit-kyc"},{"title":"Renew KYC","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/users/{userId}/kyc/renewal","href":"/api-reference/workforce/users/renew-kyc"},{"title":"Get Balances","description":"Get a user's wallet balances","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/users/{userId}/balances","href":"/api-reference/workforce/users/get-balances"},{"title":"Tax Forms","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/users/{userId}/tax-forms","href":"/api-reference/workforce/users/tax-forms"},{"title":"Submit Tax Form","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/users/{userId}/tax-forms","href":"/api-reference/workforce/users/submit-tax-form"},{"title":"Tax Form Download","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/users/{userId}/tax-forms/{formId}/download","href":"/api-reference/workforce/users/tax-form-download"}]},{"group":"Files","pages":[{"title":"Create upload URL","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/files/upload-url","href":"/api-reference/workforce/files/create-upload-url"},{"title":"Get file details","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/files/{fileId}","href":"/api-reference/workforce/files/get-file-details"}]},{"group":"Payrolls","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/payrolls","href":"/api-reference/workforce/payrolls/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/payrolls","href":"/api-reference/workforce/payrolls/create"},{"title":"Save","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/payrolls/{payrollId}/save","href":"/api-reference/workforce/payrolls/save"},{"title":"Get","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/payrolls/{payrollId}","href":"/api-reference/workforce/payrolls/get"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml delete /v1/payrolls/{payrollId}","href":"/api-reference/workforce/payrolls/delete"},{"title":"Approve","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/payrolls/{payrollId}/approve","href":"/api-reference/workforce/payrolls/approve"},{"title":"Get Payslip Links","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/payrolls/{payrollId}/payslip-links","href":"/api-reference/workforce/payrolls/get-payslip-links"}]},{"group":"Platform","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/platform/businesses","href":"/api-reference/workforce/platform/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/platform/businesses","href":"/api-reference/workforce/platform/create"},{"title":"List Disbursements","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/platform/disbursements","href":"/api-reference/workforce/platform/list-disbursements"},{"title":"Get Disbursement","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/platform/disbursements/{disbursementId}","href":"/api-reference/workforce/platform/get-disbursement"},{"title":"Create Transfer","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/platform/transfers","href":"/api-reference/workforce/platform/create-transfer"},{"title":"Custom Roles","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/permissions/roles","href":"/api-reference/workforce/platform/custom-roles"}]},{"group":"Contracts","pages":[{"title":"List Templates","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/contract-templates","href":"/api-reference/workforce/contracts/list-templates"},{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/contracts","href":"/api-reference/workforce/contracts/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/contracts","href":"/api-reference/workforce/contracts/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/contracts/{contractId}","href":"/api-reference/workforce/contracts/retrieve"},{"title":"Signing URL","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/contracts/{contractId}/signingUrl","href":"/api-reference/workforce/contracts/signing-url"},{"title":"Upload Contract","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/contracts-upload","href":"/api-reference/workforce/contracts/upload-contract"}]},{"group":"Businesses","pages":[{"title":"Get Business","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/businesses/{businessId}","href":"/api-reference/workforce/businesses/get-business"},{"title":"Get Current Identity","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/me","href":"/api-reference/workforce/businesses/get-current-identity"},{"title":"Create Department","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/departments","href":"/api-reference/workforce/businesses/create-department"},{"title":"Update Department","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/businesses/{businessId}/departments/{departmentId}","href":"/api-reference/workforce/businesses/update-department"},{"title":"Create Custom Field","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/customFields","href":"/api-reference/workforce/businesses/create-custom-field"},{"title":"Update Custom Field","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml put /v1/businesses/{businessId}/customFields/{customFieldId}","href":"/api-reference/workforce/businesses/update-custom-field"}]},{"group":"Treasury","pages":[{"title":"Get Balances","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/businesses/{businessId}/balances","href":"/api-reference/workforce/treasury/get-balances"},{"title":"Get Balance Ledger","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/businesses/{businessId}/transactions","href":"/api-reference/workforce/treasury/get-balance-ledger"},{"title":"Get Statement","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/businesses/{businessId}/statement","href":"/api-reference/workforce/treasury/get-statement"},{"title":"Get Funding Details","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/businesses/{businessId}/funding-details","href":"/api-reference/workforce/treasury/get-funding-details"},{"title":"Create Deposit","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/deposits","href":"/api-reference/workforce/treasury/create-deposit"},{"title":"Create Crypto Deposit Address","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/crypto-deposit-addresses","href":"/api-reference/workforce/treasury/create-crypto-deposit-address"},{"title":"Create Reserve","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/reserves","href":"/api-reference/workforce/treasury/create-reserve"},{"title":"Generate Withdrawal Link","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/withdrawal/link","href":"/api-reference/workforce/treasury/generate-withdrawal-link"},{"title":"Get External Accounts","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/businesses/{businessId}/external-accounts","href":"/api-reference/workforce/treasury/get-external-accounts"},{"title":"Generate External Account Link","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/external-accounts/link","href":"/api-reference/workforce/treasury/generate-external-account-link"},{"title":"Delete External Account","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml delete /v1/businesses/{businessId}/external-accounts/{externalAccountId}","href":"/api-reference/workforce/treasury/delete-external-account"}]},{"group":"KYB","pages":[{"title":"Get KYB","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/businesses/{businessId}/kyb","href":"/api-reference/workforce/kyb/get-kyb"},{"title":"Submit KYB","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/kyb","href":"/api-reference/workforce/kyb/submit-kyb"},{"title":"Update KYB","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml patch /v1/businesses/{businessId}/kyb","href":"/api-reference/workforce/kyb/update-kyb"},{"title":"Generate KYB Link","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/kyb-link","href":"/api-reference/workforce/kyb/generate-kyb-link"}]},{"group":"Terms","pages":[{"title":"List Terms","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/terms","href":"/api-reference/workforce/terms/list-terms"},{"title":"List Business Terms","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/businesses/{businessId}/terms","href":"/api-reference/workforce/terms/list-business-terms"},{"title":"Accept Business Terms","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/businesses/{businessId}/terms","href":"/api-reference/workforce/terms/accept-business-terms"}]},{"group":"Entities","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/entities","href":"/api-reference/workforce/entities/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/entities","href":"/api-reference/workforce/entities/create"},{"title":"Get","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/entities/{entityId}","href":"/api-reference/workforce/entities/get"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml patch /v1/entities/{entityId}","href":"/api-reference/workforce/entities/update"}]},{"group":"Sandbox","pages":[{"title":"Deposit","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/sandbox/business-deposits","href":"/api-reference/workforce/sandbox/deposit"},{"title":"Delete User","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml delete /v1/sandbox/users/{userId}","href":"/api-reference/workforce/sandbox/delete-user"},{"title":"Review KYC","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/sandbox/users/{userId}/kyc/review","href":"/api-reference/workforce/sandbox/review-kyc"}]},{"group":"Invoices","pages":[{"title":"List Invoices","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/invoices","href":"/api-reference/workforce/invoices/list-invoices"},{"title":"Get Invoice","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/invoices/{invoiceId}","href":"/api-reference/workforce/invoices/get-invoice"},{"title":"Get Invoice URL","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/invoices/{invoiceId}/url","href":"/api-reference/workforce/invoices/get-invoice-url"},{"title":"Review Invoice","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/invoices/{invoiceId}/review","href":"/api-reference/workforce/invoices/review-invoice"},{"title":"Cancel Invoice","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/invoices/{invoiceId}/cancel","href":"/api-reference/workforce/invoices/cancel-invoice"}]},{"group":"Reimbursements","pages":[{"title":"List Reimbursements","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/reimbursements","href":"/api-reference/workforce/reimbursements/list-reimbursements"},{"title":"Create Reimbursement","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/reimbursements","href":"/api-reference/workforce/reimbursements/create-reimbursement"},{"title":"Get Reimbursement","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml get /v1/reimbursements/{reimbursementId}","href":"/api-reference/workforce/reimbursements/get-reimbursement"},{"title":"Cancel Reimbursement","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml delete /v1/reimbursements/{reimbursementId}","href":"/api-reference/workforce/reimbursements/cancel-reimbursement"},{"title":"Review (Approve or Reject) Reimbursement","deprecated":null,"version":null,"openapi":"/openapi/workforce-management.yaml post /v1/reimbursements/{reimbursementId}/review","href":"/api-reference/workforce/reimbursements/review-approve-or-reject-reimbursement"}]}]},{"group":"Tax API","pages":[{"group":"Tax Calculator","pages":[{"title":"Calculate Taxes","deprecated":null,"version":null,"openapi":"/openapi/global-tax.yaml post /v1/tax/calculate","href":"/api-reference/tax/tax-calculator/calculate-taxes"},{"title":"List Required Additional Tax Fields by Country","deprecated":null,"version":null,"openapi":"/openapi/global-tax.yaml get /v1/tax/fields","href":"/api-reference/tax/tax-calculator/list-required-additional-tax-fields-by-country"},{"title":"List Countries and Regions","deprecated":null,"version":null,"openapi":"/openapi/global-tax.yaml get /v1/tax/locations","href":"/api-reference/tax/tax-calculator/list-countries-and-regions"},{"title":"Estimate Gross or Net Salary","deprecated":null,"version":null,"openapi":"/openapi/global-tax.yaml post /v1/tax/estimate","href":"/api-reference/tax/tax-calculator/estimate-gross-or-net-salary"},{"title":"List Tax Ruleset Versions","deprecated":null,"version":null,"openapi":"/openapi/global-tax.yaml get /v1/tax/versions","href":"/api-reference/tax/tax-calculator/list-tax-ruleset-versions"},{"title":"Get Tax Ruleset Changelog","deprecated":null,"version":null,"openapi":"/openapi/global-tax.yaml get /v1/tax/changelog","href":"/api-reference/tax/tax-calculator/get-tax-ruleset-changelog"},{"title":"Validate Tax Fields","deprecated":null,"version":null,"openapi":"/openapi/global-tax.yaml post /v1/tax/fields/validate","href":"/api-reference/tax/tax-calculator/validate-tax-fields"}]}]},{"group":"Statutory Compliance API","pages":[{"group":"Jurisdictions","pages":[{"title":"List supported jurisdictions","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/jurisdictions","href":"/api-reference/statutory/jurisdictions/list-supported-jurisdictions"},{"title":"Get jurisdiction details","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/jurisdictions/{country_code}","href":"/api-reference/statutory/jurisdictions/get-jurisdiction-details"},{"title":"List filing types for a jurisdiction","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/jurisdictions/{country_code}/filing-types","href":"/api-reference/statutory/jurisdictions/list-filing-types-for-a-jurisdiction"},{"title":"Get required fields for tax calculation and statutory filing","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/jurisdictions/{country_code}/required-fields","href":"/api-reference/statutory/jurisdictions/get-required-fields-for-tax-calculation-and-statutory-filing"}]},{"group":"Filings","pages":[{"title":"List filings","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/filings","href":"/api-reference/statutory/filings/list-filings"},{"title":"Create a filing","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml post /v1/statutory/filings","href":"/api-reference/statutory/filings/create-a-filing"},{"title":"Create all filings for a period","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml post /v1/statutory/filings/batch","href":"/api-reference/statutory/filings/create-all-filings-for-a-period"},{"title":"Get a filing","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/filings/{filing_id}","href":"/api-reference/statutory/filings/get-a-filing"},{"title":"Approve a filing for submission","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml post /v1/statutory/filings/{filing_id}/approve","href":"/api-reference/statutory/filings/approve-a-filing-for-submission"},{"title":"Cancel a filing","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml post /v1/statutory/filings/{filing_id}/cancel","href":"/api-reference/statutory/filings/cancel-a-filing"},{"title":"Amend a previously accepted filing","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml post /v1/statutory/filings/{filing_id}/amend","href":"/api-reference/statutory/filings/amend-a-previously-accepted-filing"},{"title":"Download filing document","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/filings/{filing_id}/document","href":"/api-reference/statutory/filings/download-filing-document"},{"title":"Get compliance health summary","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/compliance/summary","href":"/api-reference/statutory/filings/get-compliance-health-summary"}]},{"group":"Remittances","pages":[{"title":"List remittances","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/remittances","href":"/api-reference/statutory/remittances/list-remittances"},{"title":"Create a remittance","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml post /v1/statutory/remittances","href":"/api-reference/statutory/remittances/create-a-remittance"},{"title":"Get a remittance","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/remittances/{remittance_id}","href":"/api-reference/statutory/remittances/get-a-remittance"},{"title":"Download remittance receipt","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/remittances/{remittance_id}/receipt","href":"/api-reference/statutory/remittances/download-remittance-receipt"}]},{"group":"Requirements","pages":[{"title":"List outstanding requirements","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/requirements","href":"/api-reference/statutory/requirements/list-outstanding-requirements"}]},{"group":"Events","pages":[{"title":"List audit events","deprecated":null,"version":null,"tag":"Beta","openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/events","href":"/api-reference/statutory/events/list-audit-events"}]},{"group":"Statutory Fields","pages":[{"title":"Get person filing data","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/persons/{person_id}/fields/{country_code}","href":"/api-reference/statutory/statutory-fields/get-person-filing-data"},{"title":"Submit person filing fields","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml put /v1/statutory/persons/{person_id}/fields/{country_code}","href":"/api-reference/statutory/statutory-fields/submit-person-filing-fields"},{"title":"Get business filing data","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml get /v1/statutory/businesses/{business_id}/fields/{country_code}","href":"/api-reference/statutory/statutory-fields/get-business-filing-data"},{"title":"Submit business filing fields","deprecated":null,"version":null,"openapi":"/openapi/statutory-compliance.yaml put /v1/statutory/businesses/{business_id}/fields/{country_code}","href":"/api-reference/statutory/statutory-fields/submit-business-filing-fields"}]}]}]},{"tab":"Resources","pages":[{"title":"Resources","href":"/resources/supported-countries"}]}]}]},"basePath":"","title":"Renew KYC - Cadana Developers","buildId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","deploymentId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DX1Meug0.js","utils-B_OMIQVC.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-ChxhRPMa.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CuKvD8Iv.js","snippetPresets-C5d7p2hp.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CfHcE8m4.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C1zZV314.js","shallow-CmQhqCJn.js","getApiPlaygroundDisplay-YRo9s1O7.js","CodeSnippet-RN1MTdfk.js","CodeSnippets-DKLPHxJA.js","Page-BAvA99GL.js","getPastedJson-bz0M41mU.js","icon-CsmhpPrv.js","MethodPill-CNGsVE77.js","DuplicateIcon-DilfU_Z2.js","createIcon-BdsYzQck.js","DynamicMarkdown-CbqEDjbV.js","SectionHeading-O6hXpFCN.js","axios-vUo_bRtp.js","Markdown-nKm-uidQ.js","clsx-ClVdStUn.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CIQkMg3R.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-ImrFS4Fy.js"]}